Проблемы с установкой QML Tool Kit: & ldquo; неудовлетворенные зависимости: qt-components-ubuntu: & hellip; & Rdquo;

Я получил ту же самую проблему. Быстрое исправление должно отменить выбор "Simulink 3D Панель инструментов Анимации" во время установки при условии, что Вам не нужен он.

От: Matlab устанавливают ошибку: Simulink 3D Панель инструментов

Анимации

6
задан 26.02.2020, 10:38

3 ответа

Добавление

deb http://ppa.launchpad.net/canonical-qt5-edgers/qt5-proper/ubuntu quantal main 

в мои программные источники исправило процесс установки. Теперь посмотрим, все ли работает.

Обновление: еще не совсем, зрители qml, кажется, немного не в себе.

qmlscene: could not find a Qt installation of ''
0
ответ дан 26.02.2020, 10:38

У меня была та же проблема, и я попросил помощи у # ubuntu-phone irc. Они придумали решение использовать ppa:canonical-qt5-edgers/qt5-proper PPA из панели запуска. Поэтому просто добавьте https://launchpad.net/~canonical-qt5-edgers/+archive/qt5-proper в sources.list. После этого запустите

    sudo apt-get update 

, и вы сможете выполнить инструкции из http://developer.ubuntu.com/get-started/gomobile/ .

0
ответ дан 26.02.2020, 10:39
  • 1
    Лучшая идея! Используйте sudo add-apt-repository ppa:canonical-qt5-edgers/qt5-proper. It' ll добавляют к sources.list.d (который делает для легкого удаления!) и дескрипторы, получающие ключи PGP that' ре необходимо для проверки и иначе для любого/всего PPAs. – Sebastian Palma 26.02.2020, 10:40
  • 2
    Я видел что " Получите спокойный инструментарий QML preview" раздел в www.developer.ubuntu.com был обновлен и теперь использует ppa:canonical-qt5-edgers/qt5-proper PPA! – user2012677 26.02.2020, 10:40

Это начало происходить сегодня и с моей существующей установкой. Я предполагаю, что Canonical изменяют зависимости пакетов либо готовятся к финальной версии Qt5, либо обновляют бета-версию Qt5.

Следите за ppa:canonical-qt5-edgers/qt5-beta1 и ppa:canonical-qt5-edgers/qt5-proper, а также за обновленными инструкциями на http://developer.ubuntu.com/get-started/gomobile/

РЕДАКТИРОВАТЬ : журнал сборки со вчерашнего дня указывает, что сейчас используется 'deb http://ppa.launchpad.net/canonical-qt5-edgers/qt5-proper/ubuntu quantal main'.

Полагаю, нам просто нужно подождать обновленных инструкций.

0
ответ дан 26.02.2020, 10:39
  • 1
    Эй, большое спасибо. Я надеюсь I' ll быть в состоянии начать разрабатывать скоро. – Aniket G 26.02.2020, 10:40

Теги

Похожие вопросы